Summary:	Userland scripts to control "laptop mode"
Name:		laptop-mode-tools
Version:	1.32
Release:	%mkrel 2

Source0:	http://www.samwel.tk/laptop_mode/tools/downloads/%{name}-%{version}.tar.bz2
#Patch0:		laptop-mode-tools-1.27-subsys.patch
Patch1:		laptop-mode-tools-1.11-lsb.patch
# (fc) 1.32-2mdv don't use unexisting echo lsb function (use 1.31 initscript)
Patch2:		laptop-mode-tools-1.32-nolsbecho.patch
License:	GPL
Group:		System/Kernel and hardware
Url:		http://www.samwel.tk/laptop_mode/index.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts:	suspend-scripts < 1.9.2
Requires:	hdparm sdparm
Requires(post):	rpm-helper
Requires(preun):rpm-helper
BuildArch:	noarch

%description
Userland scripts to control "laptop mode" Laptop mode is a Linux
kernel feature that allows your laptop to save considerable power, by
allowing the hard drive to spin down for longer periods of time. This
package contains the userland scripts that are needed to enable laptop
mode.

%prep
%setup -q
#%patch0 -p1 -b .subsys
%patch1 -p1 -b .lsb
%patch2 -p1 -b .noecholsb
perl -pi -e 's|LM_AC_HD_IDLE_TIMEOUT_SECONDS=5|LM_AC_HD_IDLE_TIMEOUT_SECONDS=120||g' etc/laptop-mode/laptop-mode.conf
perl -pi -e 's|LM_BATT_HD_IDLE_TIMEOUT_SECONDS=5|LM_BATT_HD_IDLE_TIMEOUT_SECONDS=120||g' etc/laptop-mode/laptop-mode.conf

%install
rm -rf $RPM_BUILD_ROOT
install -m755 usr/sbin/laptop_mode -D $RPM_BUILD_ROOT%{_sbindir}/laptop_mode
cp usr/sbin/lm* $RPM_BUILD_ROOT/%{_sbindir}
install -m755 etc/init.d/laptop-mode -D $RPM_BUILD_ROOT%{_initrddir}/laptop-mode
mkdir -p $RPM_BUILD_ROOT%{_mandir}
cp -r man $RPM_BUILD_ROOT%{_mandir}/man8
cp -r etc/laptop-mode $RPM_BUILD_ROOT%{_sysconfdir}
cp -r etc/acpi $RPM_BUILD_ROOT%{_sysconfdir}
cp -r etc/apm $RPM_BUILD_ROOT%{_sysconfdir}

%post
%_post_service laptop-mode

%preun
%_preun_service laptop-mode

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_sbindir}/*
%dir %{_sysconfdir}/laptop-mode
%dir %{_sysconfdir}/laptop-mode/*/
%config(noreplace) %{_sysconfdir}/laptop-mode/*.conf
%config(noreplace) %{_sysconfdir}/acpi/events/*
%{_sysconfdir}/acpi/actions/*
%{_sysconfdir}/apm
%{_initrddir}/*
%{_mandir}/man8/*


%changelog
* Wed Feb 21 2007 Frederic Crozat <fcrozat@mandriva.com> 1.32-2mdv2007.0
+ Revision: 123991
- Patch2: revert initscript to 1.31 (don't use unexisting lsb function)
- Fix url

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 1.32-1mdv2007.1
+ Revision: 90182
- New version 1.2
  bunzipped patches
  drop patch0
- Import laptop-mode-tools



* Thu Jun 22 2006 Austin Acton <austin@mandriva.org> 1.31-2mdv2007.0
- bump default spindown to 2 min

* Wed Apr 19 2006 Austin Acton <austin@mandriva.org> 1.31-1mdk
- New release 1.31

* Thu Mar 23 2006 Austin Acton <austin@mandriva.org> 1.30-3mdk
- requires hdparm and sdparm

* Thu Mar 02 2006 Austin Acton <austin@mandriva.org> 1.30-2mdk
- add some missing files

* Thu Mar 02 2006 Austin Acton <austin@mandriva.org> 1.30-1mdk
- New release 1.30

* Wed Feb 22 2006 Austin Acton <austin@mandriva.org> 1.27-1mdk
- New release 1.27
- rediff patch0

* Sat Feb 11 2006 Austin Acton <austin@mandriva.org> 1.23-1mdk
- New release 1.23

* Thu Feb 02 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.22-2mdk
- add lm-profiler
- add apm events
- add man pages
- hrm, directories should probably rather be owned by suspend-scripts in stead..

* Thu Feb 02 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.22-1mdk
- 1.22
- %%mkrel
- regenerated P0
- own acpi dirs
- cosmetics

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 1.11-2mdk
- Patch1: LSB support in init script (from Andrey Borzenkov, #20526)

* Sun Dec 04 2005 Austin Acton <austin@mandriva.org> 1.11-1mdk
- New release 1.11
- remove patch, added upstream

* Sun Aug 28 2005 Austin Acton <austin@mandriva.org> 1.10-2mdk
- add scaling_governor support

* Tue Aug 16 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.10-1mdk
- New release 1.10

* Fri Aug 12 2005 Frederic Lepied <flepied@mandriva.com> 1.09-2mdk
- provides acpi files
- call laptop_mode auto in reload|restart (bug #17454)

* Wed Aug 10 2005 Frederic Lepied <flepied@mandriva.com> 1.09-1mdk
- New release 1.09

* Thu Aug  4 2005 Frederic Lepied <flepied@mandriva.com> 1.08-1mdk
- initial packaging
